Bug 465873 - kernel build-id note corruption
kernel build-id note corruption
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 17:12 EDT by Frank Ch. Eigler
Modified: 2008-10-23 21:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.26.6-79.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 12:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2008-10-06 17:12:52 EDT
Something is messing with the build-id .note data.

uname -a
Linux super.elastic.org 2.6.26.3-29.fc9.x86_64.debug #1 SMP Wed Sep 3 03:04:51 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

eu-readelf -n /usr/lib/debug/lib/modules/`uname -r`/vmlinux

Note section [ 3] '.notes' of 36 bytes at offset 0x4c8390:
  Owner          Data size  Type
  GNU                   20  GNU_BUILD_ID
    Build ID: 855e2d17073528fe453865fb1682421f5a755731    < this and

od -t x1 /sys/kernel/notes                                
0000000 04 00 00 00 14 00 00 00 03 00 00 00 47 4e 55 00
0000020 18 0b 02 d1 5e 39 3c 69 d7 61 69 32 8e 60 00 3d   < this
0000040 43 f8 4e ee                                       < should match
0000044
Comment 1 Roland McGrath 2008-10-07 18:33:41 EDT
Fixed in rawhide, kernel-2.6.27-0.400.rc9.fc10 and later.
Comment 2 Chuck Ebbert 2008-10-08 12:43:39 EDT
Fixed in 2.6.26.6-57.rc1
Comment 3 Frank Ch. Eigler 2008-10-10 17:24:14 EDT
any chance of fixing it in both f8 and f9?
Comment 4 Chuck Ebbert 2008-10-14 13:12:07 EDT
(In reply to comment #3)
> any chance of fixing it in both f8 and f9?

Comment #2 says it's fixed in F9.
It's also in F8 2.6.26.5-32
Comment 5 Fedora Update System 2008-10-14 15:50:34 EDT
kernel-2.6.26.6-46.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/kernel-2.6.26.6-46.fc8
Comment 6 Fedora Update System 2008-10-14 16:00:46 EDT
kernel-2.6.26.6-71.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.26.6-71.fc9
Comment 7 Fedora Update System 2008-10-20 16:28:56 EDT
kernel-2.6.26.6-79.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8929
Comment 8 Fedora Update System 2008-10-23 12:38:24 EDT
kernel-2.6.26.6-79.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.